>From e7ceecd49558be5f3e6fdf54e2fb5bdb9e746f06 Mon Sep 17 00:00:00 2001
From: olshevskiy87 <olshevskiy87@bk.ru>
Date: Sun, 17 May 2015 17:26:03 +0400
Subject: [PATCH] fix typos in comments and messages

---
 pgadmin/dlg/dlgFunction.cpp                   | 4 ++--
 pgadmin/dlg/dlgProperty.cpp                   | 2 +-
 pgadmin/dlg/dlgSequence.cpp                   | 4 ++--
 pgadmin/frm/frmStatus.cpp                     | 4 ++--
 pgadmin/pgscript/utilities/m_apm/mapm_fpf.cpp | 2 +-
 pgadmin/utils/tabcomplete.c                   | 2 +-
 6 files changed, 9 insertions(+), 9 deletions(-)

diff --git a/pgadmin/dlg/dlgFunction.cpp b/pgadmin/dlg/dlgFunction.cpp
index f333588..7bb3433 100644
--- a/pgadmin/dlg/dlgFunction.cpp
+++ b/pgadmin/dlg/dlgFunction.cpp
@@ -383,8 +383,8 @@ int dlgFunction::Go(bool modal)
 		cbReturntype->Disable();
 		chkSetof->Disable();
 		cbDatatype->Disable();
-		// Editing paramter for wrapped functions is not allowed
-		// It will anyway throw an error, if we try to edit the paramter list
+		// Editing parameter for wrapped functions is not allowed
+		// It will anyway throw an error, if we try to edit the parameter list
 		if ( connection->GetIsEdb() &&
 		        function->GetSource().Trim(false).StartsWith( wxT( "$__EDBwrapped__$" )))
 		{
diff --git a/pgadmin/dlg/dlgProperty.cpp b/pgadmin/dlg/dlgProperty.cpp
index 1f4d6a6..7010464 100644
--- a/pgadmin/dlg/dlgProperty.cpp
+++ b/pgadmin/dlg/dlgProperty.cpp
@@ -2221,7 +2221,7 @@ void dlgAgentProperty::OnOK(wxCommandEvent &ev)
 #endif
 	if (!IsUpToDate())
 	{
-		if (wxMessageBox(wxT("The object has been changed by another user. Do you wish to continue to to try to update it?"), wxT("Overwrite changes?"), wxYES_NO) != wxYES)
+		if (wxMessageBox(wxT("The object has been changed by another user. Do you wish to continue to try to update it?"), wxT("Overwrite changes?"), wxYES_NO) != wxYES)
 			return;
 	}
 
diff --git a/pgadmin/dlg/dlgSequence.cpp b/pgadmin/dlg/dlgSequence.cpp
index e730ab4..95dd037 100644
--- a/pgadmin/dlg/dlgSequence.cpp
+++ b/pgadmin/dlg/dlgSequence.cpp
@@ -268,8 +268,8 @@ wxString dlgSequence::GetSql()
 			AppendOwnerChange(sql, wxT("TABLE ") + schema->GetQuotedPrefix() + qtIdent(name));
 
 		// This is where things get hairy. Per some thought by Horvath Gabor,
-		// we need to adjust the min/max sequence values, and the the current
-		// value per the rules:
+		// we need to adjust the min/max sequence values, and the current value
+        // per the rules:
 		//
 		// 1 Any ALTER SEQUENCE MIN/MAXVALUE statements that widen the range
 		// 2 SETVAL
diff --git a/pgadmin/frm/frmStatus.cpp b/pgadmin/frm/frmStatus.cpp
index 05fc817..0a7c3c9 100644
--- a/pgadmin/frm/frmStatus.cpp
+++ b/pgadmin/frm/frmStatus.cpp
@@ -2749,7 +2749,7 @@ void frmStatus::OnCommit(wxCommandEvent &event)
 		wxString xid = xactList->GetText(item, 1);
 		wxString sql = wxT("COMMIT PREPARED ") + connection->qtDbString(xid);
 
-		// We must execute this in the database in which the prepared transation originated.
+		// We must execute this in the database in which the prepared transaction originated.
 		if (connection->GetDbname() != xactList->GetText(item, 4))
 		{
 			pgConn *tmpConn = new pgConn(connection->GetHost(),
@@ -2807,7 +2807,7 @@ void frmStatus::OnRollback(wxCommandEvent &event)
 		wxString xid = xactList->GetText(item, 1);
 		wxString sql = wxT("ROLLBACK PREPARED ") + connection->qtDbString(xid);
 
-		// We must execute this in the database in which the prepared transation originated.
+		// We must execute this in the database in which the prepared transaction originated.
 		if (connection->GetDbname() != xactList->GetText(item, 4))
 		{
 			pgConn *tmpConn = new pgConn(connection->GetHost(),
diff --git a/pgadmin/pgscript/utilities/m_apm/mapm_fpf.cpp b/pgadmin/pgscript/utilities/m_apm/mapm_fpf.cpp
index e2591c8..4f7fe40 100644
--- a/pgadmin/pgscript/utilities/m_apm/mapm_fpf.cpp
+++ b/pgadmin/pgscript/utilities/m_apm/mapm_fpf.cpp
@@ -305,7 +305,7 @@ void	m_apm_to_fixpt_string(char *ss, int dplaces, M_APM mtmp)
 	}
 
 	/*
-	 *  at this point, the number is non-zero and the the output
+	 *  at this point, the number is non-zero and the output
 	 *  string will contain at least 1 significant digit.
 	 */
 
diff --git a/pgadmin/utils/tabcomplete.c b/pgadmin/utils/tabcomplete.c
index 43acb29..ff77b0e 100644
--- a/pgadmin/utils/tabcomplete.c
+++ b/pgadmin/utils/tabcomplete.c
@@ -10,7 +10,7 @@
 //////////////////////////////////////////////////////////////////////////
 
 /* 
- * BUG: Must compile as C and not C++, becase of 
+ * BUG: Must compile as C and not C++, because of 
  * http://support.microsoft.com/default.aspx?scid=kb%3Ben-us%3B315481
  * Adds a bit of C<->C++ cruft...
  */
-- 
1.8.3.msysgit.0

